{
	Hello World for PurePascal
	(c) 1992  Stefan Bachert
	berarbeitet von Michael Schlter (@SL)
	Letzte Bearbeitung: 01.01.1993
}

PROGRAM hello_world;

{$X+}

USES ACS, HELLOM;

FUNCTION init_acs: INTEGER;
VAR		wi		: AwindowPtr;
BEGIN
	wi := Awi_root;							{ root window }
	IF wi <> NIL THEN
	BEGIN
		wi^.service (wi, AS_NEWCALL, @@HELLO.create);
		wi := @HELLO;
		wi^.create (NIL);					{ sofort ein Fenster erzeugen }
		init_acs := OK;
	END
	ELSE
	BEGIN
	  init_acs := FAIL;
	END;
END;

BEGIN										{ ACS }
	start_acs (init_acs, @ACSdescr);
END.